lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alexandre Rafalovitch (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SOLR-5742) XSS vulnerability in Solr /admin/debug.jsp
Date Sat, 28 Feb 2015 17:02:05 GMT

    [ https://issues.apache.org/jira/browse/SOLR-5742?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14341650#comment-14341650
] 

Alexandre Rafalovitch commented on SOLR-5742:
---------------------------------------------

Close as WillNotFix?

> XSS vulnerability in Solr /admin/debug.jsp
> ------------------------------------------
>
>                 Key: SOLR-5742
>                 URL: https://issues.apache.org/jira/browse/SOLR-5742
>             Project: Solr
>          Issue Type: Bug
>    Affects Versions: 1.4.1, 3.6.2
>         Environment: Ubuntu 12.04 (x64-64) hosting the example deployment using Jetty
>            Reporter: Ben Lincoln
>              Labels: security
>
> The debug.jsp file included in the example deployment package for versions 1.4.1 and
3.6.2 contains a reflected cross-site scripting vulnerability in the "handler" URL parameter.
> E.g. http://exampleserver:8983/solr/admin/debug.jsp?handler=<script>alert(1);</script>
> This file appears to have either been removed or disabled with the 4.x releases.
> Unlike SOLR-4305, this is triggered immediately on page load and doesn't have to be triggered
as a JavaScript event-handler.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message